#!-----------------------------------------------------------------------
#TEMPLATE(etouch4DefaultsForBrowseH5,'etouch4 H5 Set Defaults for browse lists'),FAMILY('ABC')
#!-----------------------------------------------------------------------
#!
#! For use with Web Builder H5 templates. Thanks to Diego from SV for the tips
#! Make sure you pass the variables prior to open windows
#!-----------------------------------------------------------------------
#EXTENSION(etouch4DefaultsForBrowseH5,'etouch4 H5 Set Defaults for browse lists'),APPLICATION, LAST
#!-----------------------------------------------------------------------
#GLOBALDATA
etouch4::WebH5UseButtonsOnBrowse byte(1) ! Is this instance using buttons webproc.tpw Line 1464 .. (c10-0-12327)
etouch4::WebH5ButtonsOnBrowseAlignment byte(1) ! 1 = left 2 = right
etouch4::WebH5ButtonsFixed byte(1) ! make sure buttons take a smaller share of the browse
etouch4::WebH5Navigation byte(1) ! turns navigation on or off
etouch4::LengthOfLists Long(200) ! set the DEFAULT LENGTH OF lists
etouch4::RefreshListsOnUpdate byte(1) ! set the default refresh update to true

#ENDGLOBALDATA
#!--------------------------------------------------

#AT(%WindowManagerMethodCodeSection,'Init','(),BYTE'),PRIORITY(8080),DESCRIPTION('Setting WEB LIST Line Height')
    #FOR(%Control),WHERE(%ControlType='LIST')
	#EMBED(%etouch4LengthOfListsBefore,'etouch4 Web Length of Lists before set property')
#?IF (WebServer.IsEnabled()) 
%Control{PROP:Height} = ETOUCH4::LengthOfLists
#?END
	#EMBED(%etouch4LengthOfListsAfter,'etouch4 Web Length of Lists after set property')
    #ENDFOR
#ENDAT
#!-----------------------------------------------------------------------------
#AT (%WebControlManagerMethodCodeSection,,'Init','(SIGNED Feq,SIGNED Container)'),PRIORITY(7000)
#!-----------------------------------------------------------------------------
  #IF (%ControlType = 'LIST' AND NOT %IsDrop())
! code here
#EMBED(%etouch4WebRefreshBefore,'etouch4 Web Refresh before set property')
  #?IF (WebServer.IsEnabled()) and etouch4::RefreshListsOnUpdate <> 0
    SELF.SubmitOnChange = TRUE
   #?END 
#EMBED(%etouch4WebRefreshAfter,'etouch4 Web Refresh after set property')
  #ENDIF
#ENDAT
  
#!-----------------------------------------------------------------------------
#AT (%WebControlManagerMethodCodeSection,,'Init','(SIGNED Feq,SIGNED Container)'),PRIORITY(7001)
#!-----------------------------------------------------------------------------
  #IF (%ControlType = 'LIST' AND NOT %IsDrop())
  
! code here
#EMBED(%etouch4NavButtonsBefore,'etouch4 Web Nav Button before set property')
    SELF.SetExtraBoolProperty('NavigationControls', etouch4::WebH5Navigation)
#EMBED(%etouch4NavButtonsAfter,'etouch4 Web Nav Button after set property')
  #ENDIF
#ENDAT
 